//
//
// Pov-file for the POVRAY ray-tracing program 
// ===========================================
//
// Made when: Sometimes during the time 1994 - 1997, updated September 2005
//
// By Stefan Spaennare, Lund, Sweden
//
// E-mail: stefan@spaennare.se
//
// Home page of the author: 
// http://www.spaennare.se/index.html
//
// The image and this pov-file are available on the web-page:
// http://www.spaennare.se/povray.html
//
// This pov-file is free to copy or change if this header appears
// in all copies.
//
// This image is quite "simple" and takes only a few minutes to render
// (at 800 x 600 pixels) on a 1 GHz class computer (or faster).
//
// This pov-file is for POVRAY 3.6 Linux version.
// Use the +mv3.6 option to render with newer versions of POVRAY.
//
// The POVRAY ray-tracing program can be downloaded for free from:
// http://www.povray.org
//
//


#include "colors.inc"
#include "shapes.inc" 

#version 3.6;

camera {
   location  <0.0, 2.0, -3.0>
   up        <0.0, 1.0, 0.0>
   right     <4/3, 0.0, 0.0>
   look_at   <0.0, 0.0, 9.0>
}

light_source { <10.0, 20.0, -11.0>
//      colour red 0.25 green 0.2425 blue 0.20
      colour red 0.20 green 0.194 blue 0.16
      spotlight
      point_at <0.0 0.0 9.0>
      tightness 10.0
      radius 11.0
      falloff 15.0
}

light_source { <-10.0, 20.0, -11.0>
//      colour red 0.25 green 0.2425 blue 0.20
      colour red 0.20 green 0.194 blue 0.16
      spotlight
      point_at <0.0 0.0 9.0>
      tightness 10.0
      radius 11.0
      falloff 15.0
}

light_source { <10.0, 20.0, 29.0>
//      colour red 0.25 green 0.2425 blue 0.20
      colour red 0.20 green 0.194 blue 0.16
      spotlight
      point_at <0.0 0.0 9.0>
      tightness 10.0
      radius 11.0
      falloff 15.0
}

light_source { <-10.0, 20.0, 29.0>
//      colour red 0.25 green 0.2425 blue 0.2
      colour red 0.20 green 0.194 blue 0.16
      spotlight
      point_at <0.0 0.0 9.0>
      tightness 10.0
      radius 11.0
      falloff 15.0
}

light_source { <0.0, 20.0, -30.0>
//      colour red 0.25 green 0.2425 blue 0.2
      colour red 0.20 green 0.194 blue 0.16
      spotlight
      point_at <0.0 0.0 9.0>
      tightness 50.0
      radius 1.0
      falloff 5.0
}

#declare Icosahedron = intersection  {
   plane {-z, 1.0 rotate <52.6625,    0.0, 0.0>}
   plane {-z, 1.0 rotate <52.6625,  -72.0, 0.0>}
   plane {-z, 1.0 rotate <52.6625, -144.0, 0.0>}
   plane {-z, 1.0 rotate <52.6625, -216.0, 0.0>}
   plane {-z, 1.0 rotate <52.6625, -288.0, 0.0>}
   
   plane {-z, 1.0 rotate <10.8125,    0.0, 0.0>}
   plane {-z, 1.0 rotate <10.8125,  -72.0, 0.0>}
   plane {-z, 1.0 rotate <10.8125, -144.0, 0.0>}
   plane {-z, 1.0 rotate <10.8125, -216.0, 0.0>}
   plane {-z, 1.0 rotate <10.8125, -288.0, 0.0>}
   
   plane {-z, 1.0 rotate <-52.6625,  -36.0, 0.0>}
   plane {-z, 1.0 rotate <-52.6625, -108.0, 0.0>}
   plane {-z, 1.0 rotate <-52.6625, -180.0, 0.0>}
   plane {-z, 1.0 rotate <-52.6625, -252.0, 0.0>}
   plane {-z, 1.0 rotate <-52.6625, -324.0, 0.0>}
   
   plane {-z, 1.0 rotate <-10.8125,  -36.0, 0.0>}
   plane {-z, 1.0 rotate <-10.8125, -108.0, 0.0>}
   plane {-z, 1.0 rotate <-10.8125, -180.0, 0.0>}
   plane {-z, 1.0 rotate <-10.8125, -252.0, 0.0>}
   plane {-z, 1.0 rotate <-10.8125, -324.0, 0.0>}
}

#declare Carm = intersection {
     plane { <0.0, -1.0, 0.0>, 0.0 }
     plane { <0.0, -1.0, 0.0>, 1.0 }
     plane { <0.0, 0.0, -1.0>, 0.15 rotate <11.0, 0.0, 0.0> }
     plane { <0.0, 0.0, -1.0>, 0.12 rotate <11.0, 60.0, 0.0> }
     plane { <0.0, 0.0, -1.0>, 0.15 rotate <11.0, 120.0, 0.0> }
     plane { <0.0, 0.0, -1.0>, 0.12 rotate <11.0, 180.0, 0.0> }
     plane { <0.0, 0.0, -1.0>, 0.15 rotate <11.0, 240.0, 0.0>  }
     plane { <0.0, 0.0, -1.0>, 0.12 rotate <11.0, 300.0, 0.0> }
}

#declare Icos = object {
    object { Icosahedron }
    texture {   
        pigment { color Red }
	finish {
           phong 1.0
           phong_size 10
           ambient 0.2
           diffuse 0.8
        }
     }
}

#declare Ccarm = object {
    object { Carm }
    texture {   
        pigment { color Red }
	finish {
           phong 1.0
           phong_size 10
           ambient 0.2
           diffuse 0.8
        }
     }
     scale 1.2
     rotate 90.0*x
}

union {
    object { Icos }

    object { Ccarm scale <3.0, 3.0, 4.5> rotate <10.8125, 0.0, 0.0> }
    object { Ccarm scale <3.0, 3.0, 4.5> rotate <10.8125, -72.0, 0.0> }
    object { Ccarm scale <3.0, 3.0, 4.5> rotate <10.8125, -144.0, 0.0> }
    object { Ccarm scale <3.0, 3.0, 4.5> rotate <10.8125, -216.0, 0.0> }
    object { Ccarm scale <3.0, 3.0, 4.5> rotate <10.8125, -288.0, 0.0> }

    object { Ccarm scale <3.0, 3.0, 4.5> rotate <52.6625, 0.0, 0.0> }
    object { Ccarm scale <3.0, 3.0, 4.5> rotate <52.6625, -72.0, 0.0> }
    object { Ccarm scale <3.0, 3.0, 4.5> rotate <52.6625, -144.0, 0.0> }
    object { Ccarm scale <3.0, 3.0, 4.5> rotate <52.6625, -216.0, 0.0> }
    object { Ccarm scale <3.0, 3.0, 4.5> rotate <52.6625, -288.0, 0.0> }


    object { Ccarm scale <3.0, -3.0, 4.5> rotate <-52.6625, -36.0, 0.0> }
    object { Ccarm scale <3.0, -3.0, 4.5> rotate <-52.6625, -108.0, 0.0> }
    object { Ccarm scale <3.0, -3.0, 4.5> rotate <-52.6625, -180.0, 0.0> }
    object { Ccarm scale <3.0, -3.0, 4.5> rotate <-52.6625, -252.0, 0.0> }
    object { Ccarm scale <3.0, -3.0, 4.5> rotate <-52.6625, -324.0, 0.0> }
    
    object { Ccarm scale <3.0, -3.0, 4.5> rotate <-10.8125, -36.0, 0.0> }
    object { Ccarm scale <3.0, -3.0, 4.5> rotate <-10.8125, -108.0, 0.0> }
    object { Ccarm scale <3.0, -3.0, 4.5> rotate <-10.8125, -180.0, 0.0> }
    object { Ccarm scale <3.0, -3.0, 4.5> rotate <-10.8125, -252.0, 0.0> }
    object { Ccarm scale <3.0, -3.0, 4.5> rotate <-10.8125, -324.0, 0.0> }

    rotate 27.0*x
    rotate 17.0*y
    scale 0.75
    translate 9.0*z
}
 
sphere { <0.0, 0.0, 0.0>, 100.0 hollow 
   texture {
       pigment { color red 0.8 green 0.8 blue 1.0 }
       finish {
          ambient 1.0 
	  diffuse 0.5 
       } 
   }
}

object {
   Plane_XZ
   translate -2.5*y
   texture {
      pigment {color red 1.0 green 1.0 blue 1.0}
      finish {
         ambient 0.15
         diffuse 0.8
         reflection 0.75
         brilliance 3.0
      }
   }
}

object {
   Plane_XY inverse
   rotate 45.0*y
   translate 16.0*z
   texture {
      pigment {color red 1.0 green 1.0 blue 1.0}
      finish {
         ambient 0.15
         diffuse 0.8
         reflection 0.75
         brilliance 3.0
      }
   }
}

object {
   Plane_XY inverse
   rotate -45.0*y
   translate 16.0*z
   texture {
      pigment {color red 1.0 green 1.0 blue 1.0}
      finish {
         ambient 0.15
         diffuse 0.8
         reflection 0.75
         brilliance 3.0
      }
   }
}
